Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.i18n
Class BundleName

    java.lang.Object
      org.jboss.portal.common.i18n.BundleName

    public class BundleName

extends java.lang.Object

The immutable name of a bundle.

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `BundleName.Iterator`
`static class` | `BundleName.Parser`

Constructor Summary
`BundleName(java.lang.String baseName)`
`BundleName(java.lang.String baseName, java.lang.String language)`
`BundleName(java.lang.String baseName, java.lang.String language, java.lang.String country)`
`BundleName(java.lang.String baseName, java.lang.String language, java.lang.String country, java.lang.String variant)`

Method Summary
`java.lang.String` | `getBaseName()`
`java.lang.String` | `getCountry()`
`java.lang.String` | `getLanguage()`
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getVariant()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BundleName

    public BundleName(java.lang.String baseName)

### BundleName

    public BundleName(java.lang.String baseName,
                      java.lang.String language)

### BundleName

    public BundleName(java.lang.String baseName,
                      java.lang.String language,
                      java.lang.String country)

### BundleName

    public BundleName(java.lang.String baseName,
                      java.lang.String language,
                      java.lang.String country,
                      java.lang.String variant)

Method Detail

### getBaseName

    public java.lang.String getBaseName()

### getLocale

    public java.util.Locale getLocale()

### getLanguage

    public java.lang.String getLanguage()

### getCountry

    public java.lang.String getCountry()

### getVariant

    public java.lang.String getVariant()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.